Build release version of Primefaces

Components, Ajax Framework, Utilities and More.
Babas007
Posts: 197
Joined: 24 May 2011, 09:42

29 Aug 2016, 15:42

Hi everyone,

I'm trying to create a release version of Primefaces 6.1 using:

Code: Select all

mvn clean install -Prelease
But I have these compilation problems appearing (and many others), here is a sample:

[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20943:column 23:il manque { avant le corps d'une fonction
_draw: function() {
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20944:column 14:erreur de syntaxe
this.bindItemSelect();
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20951:column 5:erreur de syntaxe
},
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20953:column 20:erreur de syntaxe
makeResponsive: function() {
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20971:column 5:erreur de syntaxe
},
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20973:column 23:erreur de syntaxe
adjustLegendTable: function() {
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20986:column 5:erreur de syntaxe
},
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20988:column 15:erreur de syntaxe
configure: function() {
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20990:column 37:il manque ';' avant une instruction
if(this.cfg.legendPosition) {
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20991:column 18:erreur de syntaxe
this.cfg.legend = {
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20992:column 26:erreur de syntaxe
renderer: $.jqplot.EnhancedLegendRenderer,
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20993:column 22:erreur de syntaxe
show: true,
[ERROR] ...D:\Development\Sources\primefaces\primefaces\target\classes\META-INF\resources\primefaces\charts\charts.js:line 20994:column 26:erreur de syntaxe
Am I missing something? I'm using Maven 3.3.3

tandraschko
PrimeFaces Core Developer
Posts: 3266
Joined: 03 Dec 2010, 14:11
Location: Bavaria, DE
Contact:

29 Aug 2016, 15:54

nope, but we will check this before releasing the next version.
JFYI: warnings are ok ;)
Always Bet On Prime (+ Extensions)!

Thomas Andraschko
PrimeFaces Developer | PrimeFaces Extensions Founder
Apache OpenWebBeans PMC | Apache DeltaSpike PMC | Apache MyFaces PMC

Personal Blog: http://tandraschko.blogspot.de/

Babas007
Posts: 197
Joined: 24 May 2011, 09:42

29 Aug 2016, 16:24

I have a bunch of warning, but I guessed it was nothing. But these errors result as a BUILD FAILURE :/

tandraschko
PrimeFaces Core Developer
Posts: 3266
Joined: 03 Dec 2010, 14:11
Location: Bavaria, DE
Contact:

29 Aug 2016, 16:50

yeah, we have this sometimes as we normally just compress the JS before releasing it.
If you would like to fix it, feel free to provide a PR for it! Otherwise we do it in some weeks/months.
Always Bet On Prime (+ Extensions)!

Thomas Andraschko
PrimeFaces Developer | PrimeFaces Extensions Founder
Apache OpenWebBeans PMC | Apache DeltaSpike PMC | Apache MyFaces PMC

Personal Blog: http://tandraschko.blogspot.de/

Babas007
Posts: 197
Joined: 24 May 2011, 09:42

30 Aug 2016, 10:14

Upgrading to 1.5.1 make it work. Files are aggregated into one but not minified.

Although, there is still a problem with maven-javadoc-plugin, additionalparam "-Xdoclint:none" does not seem right, probably beacuse I'm using java 1.7
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 41.239 s
[INFO] Finished at: 2016-08-30T09:47:36+02:00
[INFO] Final Memory: 45M/817M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-javadoc-plugin:2.9.1:jar (attach-docs) on project primefaces: MavenReportException: Error while creating archive:
[ERROR] Exit code: 1 - javadoc: error - invalid flag: -Xdoclint:none
[ERROR]
[ERROR] Command line was: "C:\Program Files\Java\jdk1.7.0_80\jre\..\bin\javadoc.exe" @options @argfile
[ERROR]
[ERROR] Refer to the generated Javadoc files in 'D:\Development\Sources\primefaces\primefaces\target\apidocs' dir.
If I skip this part, I'll have a problem with maven-gpg-plugin... Wouldn't be interesting to use resources-optimizer-maven-plugin of PE

Babas007
Posts: 197
Joined: 24 May 2011, 09:42

30 Aug 2016, 12:01

Since 5.3, resources are no longer minified?

tandraschko
PrimeFaces Core Developer
Posts: 3266
Joined: 03 Dec 2010, 14:11
Location: Bavaria, DE
Contact:

30 Aug 2016, 12:59

They are, just check the released jar.
Always Bet On Prime (+ Extensions)!

Thomas Andraschko
PrimeFaces Developer | PrimeFaces Extensions Founder
Apache OpenWebBeans PMC | Apache DeltaSpike PMC | Apache MyFaces PMC

Personal Blog: http://tandraschko.blogspot.de/

Babas007
Posts: 197
Joined: 24 May 2011, 09:42

30 Aug 2016, 13:52

Ah my bad, indeed it is correctly compressed... Anyway, it's really a pity that using "mvn clean install -Prelease" does not work due to the errors I have previously described... I can't make have a jar with minified css and js :(

tandraschko
PrimeFaces Core Developer
Posts: 3266
Joined: 03 Dec 2010, 14:11
Location: Bavaria, DE
Contact:

06 Sep 2016, 20:00

fixed ;)
Always Bet On Prime (+ Extensions)!

Thomas Andraschko
PrimeFaces Developer | PrimeFaces Extensions Founder
Apache OpenWebBeans PMC | Apache DeltaSpike PMC | Apache MyFaces PMC

Personal Blog: http://tandraschko.blogspot.de/

Babas007
Posts: 197
Joined: 24 May 2011, 09:42

22 Feb 2017, 09:04

I have the same problem with the last version... Resources are not minified, and I had to upgrade yui to 1.5.1 to make it work
Last edited by Babas007 on 22 Feb 2017, 16:14, edited 1 time in total.

Post Reply
  • Information
  • Who is online

    Users browsing this forum: Baidu [Spider] and 12 guests